RubyGems Can't Find a Gem That Clearly Exists

Robert McAuley's Avatar

Robert McAuley

30 Jun, 2011 04:09 PM

Trying to run a Cucumber test that uses the amqp gem, which is dependant on the eventmachine gem.

Ruby 1.9.2-p180
Latest rubygems
Windows 7 x64

Process to install the gems I followed on my machine: (I am working in a Windows console, I put the $ in for readability)

$ gem install --platform x86-mswin32-60 eventmachine
Successfully installed eventmachine-0.12.10-x86-mswin32-60
1 gem installed
$ gem install amqp
WARNING: amqp-0.7.1 has an invalid nil value for @cert_chain
Successfully installed amqp-0.7.1
1 gem installed

Error message when trying to "require amqp":

Could not find eventmachine (>= 0.12.4) amongst [amqp-0.7.1, builder-3.0.0, childprocess-0.1.9, cucumber-1.0.0, diff-lcs-1.1.2, eventmachine-0.12.10-x86-mswin32-60, ffi-1.0.9-x86-mingw32, gherkin-2.4.1-x86-mingw32, guid-0.1.1, i18n-0.6.0, json-1.5.1-x86-mingw32, json_pure-1.5.3, libxml-ruby-2.0.9-x86-mingw32, mail-2.3.0, mime-types-1.16, minitest-2.3.1, minitest-1.6.0, opensrs-0.3.1, polyglot-0.3.1, rake-0.9.2, rake-0.8.7, rdoc-3.7, rdoc-2.5.8, ruby-mysql-2.9.4, rubygems-update-1.8.5, rubyzip-0.9.4, selenium-webdriver-0.2.2, term-ansicolor-1.0.5, tlsmail-0.0.1, treetop-1.4.9] (Gem::LoadError)

Eventmachine 0.12.10 exists, but rubygems is not finding it.

  1. 1 Posted by Robert McAuley on 04 Jul, 2011 03:50 PM

    Robert McAuley's Avatar

    It seems that compiler versions must match up? I swear I've mixed compiler types before,but installing eventmachine 1.0.0.beta.3 on platform x86-mingw32 results in rubygems being able to load the gem.

  2. Support Staff 2 Posted by Nick Quaranto on 29 Jul, 2011 03:26 PM

    Nick Quaranto's Avatar

    What's your gem env ? I would also report this to the ruby amqp/eventmachine bug trackers, since this may be a problem with their gem and not RubyGems itself.

  3. 3 Posted by Froggy on 04 May, 2012 01:15 PM

    Froggy's Avatar

    This is still an open issue :-(. I receive the same error.

  4. Support Staff 4 Posted by Eric Hodel on 07 May, 2012 09:58 PM

    Eric Hodel's Avatar

    There is not enough information to diagnose this issue. Please provide gem env and gem list output.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac